Soporte » Instalación – Actualizaciones » Errores en la Descarga de WordPress

  • Resuelto jprvt

    (@jprvt)


    Buenas tardes a todos
    Un favor inmenso, soy un principiante en todo este tema y no puedo descargar wordpress, aparecen unos errores de archivos php

    
    ( ! ) Parse error: syntax error, unexpected '.', expecting '&' or variable (T_VARIABLE) in C:\wamp\www\wordpress\wp-includes\functions.php on line 1064
    Call Stack
    #	Time	Memory	Function	Location
    1	0.0476	247632	{main}( )	..\index.php:0
    2	0.0625	251168	require( 'C:\wamp\www\wordpress\wp-blog-header.php' )	..\index.php:17
    3	0.0922	271416	require_once( 'C:\wamp\www\wordpress\wp-load.php' )	..\wp-blog-header.php:13
    

    Alguien sabe como se resuelve?

    • Este debate fue modificado hace 4 meses por josearcos.
Viendo 14 respuestas - de la 1 a la 14 (de un total de 14)
  • Moderador almendron

    (@almendron)

    Por lo que veo, usas wampserver.

    Lo primero de todo: ¿arranca crorrectamente Wampserver? Debe salirte un icono en verde

    Así es y el ícono está en verde

    Moderador almendron

    (@almendron)

    Los siguientes pasos son:

    1) Crea una nueva base de datos que llamarás «sitio1»

    2) Crea una carpeta dentro de «C:\wamp\www» que llamarás «sitio1»

    3) Descarga en tu ordenador la última versión de WordPress. Descomprime y copia el contenido (no la carpeta sino el contenido de ésta) en «sitio1».

    4) Accede con el navegador a http://localhost/sitio1. Nos aparecerá una aviso diciendo que el archivo wp-config.php no existe y si por lo tanto queremos crearlo.

    Los datos que nos piden son los siguiente:

    1. Nombre de la base de datos: sitio1.
    2. Nombre de usuario: root
    3. Host de la base de datos: localhost
    4. Prefijo de tabla: wp_

    Nos avisará si está bien y el siguiente paso es Iniciar la instalación. Vas siguiendo los pasos hasta acabar.

    Para acceder: http://localhost/sitio1 o para entrar en la administración http://localhost/sitio1/wp-admin con nuestro usuario y contraseña asignados previamente.

    • Esta respuesta fue modificada hace 4 meses, 1 semana por almendron.
    jprvt

    (@jprvt)

    ME APARECE ESTE MENSAJE:

    No se puede seleccionar la base de datos
    Hemos podido conectar con el servidor de la base de datos (lo que significa que tu nombre de usuario y contraseña son correctos), pero no ha sido posible seleccionar la base de datos seguros.

    ¿Estás seguro de que existe?
    ¿Tiene el usuario root permiso para usar la base de datos seguros?
    En algunos sistemas, el nombre de tu base de datos tiene el prefijo de tu nombre de usuario, por lo que sería algo como nombreusuario_seguros. ¿Podría ser ese el problema?

    Moderador almendron

    (@almendron)

    No. El nombre de la base de datos es el que tú hayas puesto. Parece un problema de puertos. Haz lo siguiente:

    1. Iniciar servicios de wamp server.

    2. Navega a la carpeta C:\wamp\Apache2\conf en el disco duro principal de tu servidor o en la unidad en la que WAMP ha sido instalado previamente.

    3. Busca el archivo que tiene la etiqueta «http.conf» y haz doble clic en éste para abrirlo en la aplicación del Bloc de notas de Windows.

    4.Pulsa las teclas «control» y «F» al mismo tiempo para iniciar la utilidad de búsqueda.

    5. Escribe «80» en el campo de búsqueda y pulsa «Buscar siguiente». Esto te llevará a la parte del archivo de configuración donde se encuentra el puerto localhost.

    6. Cambia a «8080» el puerto encontrado y luego guarda el archivo «http.conf» para actualizar el servidor. Reinicia el servidor para que el nuevo puerto sea reconocido.

    • Esta respuesta fue modificada hace 4 meses por almendron.
    mateoschiopetto

    (@mateoschiopetto)

    Que tal? perdon que me meta. Estoy teniendo el mismo problema me aparece este manesaje:

    ( ! ) Parse error: syntax error, unexpected ‘.’, expecting ‘&’ or variable (T_VARIABLE) in C:\wamp\www\sitio1\wp-includes\functions.php on line 1081
    Call Stack
    # Time Memory Function Location
    1 0.0012 247920 {main}( ) ..\index.php:0
    2 0.0019 251192 require( ‘C:\wamp\www\sitio1\wp-blog-header.php’ ) ..\index.php:17
    3 0.0028 271144 require_once( ‘C:\wamp\www\sitio1\wp-load.php’ ) ..\wp-blog-header.php:13

    Segui los pasos de almendron y me sigue ocurriendo esto. Busque mucho por internet y no encuentro nada para solucionar este problema.
    Tienen idea como resolver esto?

    Moderador almendron

    (@almendron)

    Lo primero de todo sería comprobar que tienes instaladas todas las librerías necesarias para el correcto funcionamiento de wampserver:

    http://wampserver.aviatechno.net/?lang=en

    Y busca allí en la sección TOOLS: «Checks VC++ packages installed». Descarga y ejecuta. Si te indica que te falta alguna, en esa misma páginas la tienes.

    mateoschiopetto

    (@mateoschiopetto)

    Muchas gracias por la respuesta! me fije y tenes razon me faltaba algo pero me aparce toda esta lista. quiere decir instalar alguno de esos?

    VC_2008_SP1_REDIST_X86 ID={820B6609-4C97-3A2B-B644-573B06A0F0CC}
    Visual C++ 2008 SP1 Redistributable Package (x86)
    **** NOT INSTALLED ****
    Installation file is on: http://wampserver.aviatechno.net
    VC 2008 SP1 Package (x86)
    —————————————-
    VC_2008_SP1_ATL_SEC_UPD_REDIST_X86 ID={1F1C2DFC-2D24-3E06-BCB8-725134ADF989}
    Visual C++ 2008 SP1 ATL Security (x86)
    **** NOT INSTALLED ****
    Installation file is on: http://wampserver.aviatechno.net
    VC 2008 SP1 ATL Package (x86)
    —————————————-
    *** VC_2008 (VC9) is needed to use PHP 5.3 or 5.4 ***
    VC_2013_REDIST_X86_MIN ID={8122DAB1-ED4D-3676-BB0A-CA368196543E}
    Visual C++ 2013 x86 Minimum Runtime – 12.0.40664
    **** NOT INSTALLED ****
    Installation file is on: http://wampserver.aviatechno.net
    VC 2013 Package Up 5 (x86)
    —————————————-
    VC_2019_REDIST_X86 ID={2BC3BD4D-FABA-4394-93C7-9AC82A263FE2}
    Visual C++ 2015-2019 x86 Minimum Runtime – 14.25.28508
    **** NOT INSTALLED ****
    Installation file is on: http://wampserver.aviatechno.net
    VC 2015-2019 (VC16 x86) 14.25.28508
    —————————————-
    VC_2008_SP1_REDIST_X64 ID={9B3F0A88-790D-3AD9-9F96-B19CF2746452}
    Visual C++ 2008 SP1 Redistributable Package (x64)
    **** NOT INSTALLED ****
    Installation file is on: http://wampserver.aviatechno.net
    VC 2008 SP1 Package (x64)
    —————————————-
    VC_2008_SP1_ATL_SEC_UPD_REDIST_X64 ID={4B6C7001-C7D6-3710-913E-5BC23FCE91E6}
    Visual C++ 2008 SP1 ATL Security Update (x64)
    **** NOT INSTALLED ****
    Installation file is on: http://wampserver.aviatechno.net
    VC 2008 SP1 ATL Package (x64)
    —————————————-
    *** VC_2008 (VC9) is needed to use PHP 5.3 or 5.4 ***
    VC_2013_REDIST_X64_MIN ID={53CF6934-A98D-3D84-9146-FC4EDF3D5641}
    Visual C++ 2013 x64 Minimum Runtime Update 5 – 12.0.40664
    **** NOT INSTALLED ****
    Installation file is on: http://wampserver.aviatechno.net
    VC 2013 Up 5 (x64)
    —————————————-

    mateoschiopetto

    (@mateoschiopetto)

    logre descargar lo que necesitaba pero ahora me ocurre esto:
    Your server is running PHP version 5.4.3 but WordPress 5.4 requires at least 5.6.20.

    abri el wamp y busque la solapa de PHP para bajar una nueva version y me abre una pagina que nunca termina de abrir.

    Moderador almendron

    (@almendron)

    Tienes que instalar todos los paquetes que aparecen en esa lista.

    Probablemente tengas instalada una versión muy antigua de Wampserver. Lo mejor que puedes hacer es desinstalar y bajarte la última versión que encontrarás en http://wampserver.aviatechno.net/?lang=en

    Antes de desinstalar, debes guardar el contenido de la carpeta «www» de la instalación de wampserver y también las bases de datos que están en la carpeta «data» (..\bin\mysql\mysqlx.x.x\data). Por seguridad, exporta las bases de datos que tengas (la forma rápida).

    mateoschiopetto

    (@mateoschiopetto)

    muchisimas gracias por la ayuda! pero sigo con un problema cuando pongo la carpeta de wordpress en el <www> cuando entro a mi localhost, voy a mis proyectos y no puedo clickearla y me dice este mensaje:
    These are your folders in c:/wamp64/www
    To use them as an http link, you must declare them as VirtualHost

    perdoname que te molesto tanto, desde ya muchas gracias!

    Moderador almendron

    (@almendron)

    Para acceder a tus proyectos debes escribir en le navegador:

    http://localhost/nombre-carpeta/

    suponiendo, claro está, que dentro de la carpeta tengas una instalación de WordPress.

    Por otro lado, si has instalado otra versión de MySQL, no te va a funcionar porque tienes que mover las bases de datos a la nueva carpeta de MySQL que se habrá creado.

    mateoschiopetto

    (@mateoschiopetto)

    logre entrar muchisimas gracias! no hubiese podido sin usted!

    Moderador almendron

    (@almendron)

    De nada. Un saludo.

Viendo 14 respuestas - de la 1 a la 14 (de un total de 14)
  • Debes estar registrado para responder a este debate.